QueryExecutionTimeoutException (Apache Geode 1.9.0)
Date: 2019-04-19

org.apache.geode.cache.query

## Class QueryExecutionTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.query.QueryExecutionTimeoutException

- All Implemented Interfaces:
    Serializable

      public class QueryExecutionTimeoutException
      extends CacheRuntimeException

  Thrown when the query execution takes more than the specified max time. The Max query execution time is set using the system variable gemfire.Cache.MAX_QUERY_EXECUTION_TIME.
  Since:
    GemFire 6.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryExecutionTimeoutException()` Creates a new instance of `QueryExecutionTimeoutException` without detail message.
    `QueryExecutionTimeoutException(String msg)` Constructs an instance of `QueryExecutionTimeoutException` with the specified detail message.
    `QueryExecutionTimeoutException(String msg, Throwable cause)` Constructs an instance of `QueryExecutionTimeoutException` with the specified detail message and cause.
    `QueryExecutionTimeoutException(Throwable cause)` Constructs an instance of `QueryExecutionTimeoutException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryExecutionTimeoutException

          public QueryExecutionTimeoutException()

      Creates a new instance of `QueryExecutionTimeoutException` without detail message.

    - #### QueryExecutionTimeoutException

          public QueryExecutionTimeoutException(String msg)

      Constructs an instance of `QueryExecutionTimeoutException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### QueryExecutionTimeoutException

          public QueryExecutionTimeoutException(String msg,
                                                Throwable cause)

      Constructs an instance of `QueryExecutionTimeoutException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### QueryExecutionTimeoutException

          public QueryExecutionTimeoutException(Throwable cause)

      Constructs an instance of `QueryExecutionTimeoutException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable